#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:refreshonly) do
  include EasyType
  desc <<-EOD
      do the cache clear only when notfied.

      The command should only be run as a
      refresh mechanism for when a dependent object is changed.  It only
      makes sense to use this option when this command depends on some
      other object; it is useful for triggering an action:

      Note that only `subscribe` and `notify` can trigger actions, not `require`,
      so it only makes sense to use `refreshonly` with `subscribe` or `notify`.

          fact_cache {...:
            ...
            refreshonly => true,
          }

      The default value is `true`, meaning the fact is cleared only when notified.#{'  '}
  EOD

  defaultto :true
  newvalues(:true, :false)
  data_type('Boolean')
end
